format_version: '1.0'

repository_url: https://github.com/namhyung/uftrace

sequence:
  base_version:
    input_file: '7b8664d5.zip'
    commit_sha1: 7b8664d56f2b53a1ab3b4a73d7546ec580e2c732
  fix_attempt:
    - input_file: '4eec7f8f.diff'
      commit_sha1: 4eec7f8fbb20901a3425a2f194e10328e7ea9a37
    - input_file: 'd9083125.diff'
      commit_sha1: d9083125c67cea33e3b820e9c813187317721edd
    
  expected_fix:
    input_file: '55ab685b.diff'
    commit_sha1: 55ab685b8e05deb6d3dddcd565a7fc8deee3bc0d

  
classification: partial fix
categories:
  - control-flow

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/namhyung/uftrace/issues/771
